summaryrefslogtreecommitdiffstats
path: root/utils
diff options
context:
space:
mode:
authorJoey Castillo <joeycastillo@utexas.edu>2022-09-16 22:54:36 -0500
committerJoey Castillo <joeycastillo@utexas.edu>2022-09-16 22:54:36 -0500
commite6784339e01ef38b0bc0c612670083b4f34a0218 (patch)
treeeba55bc8b64b0a911f2872dd02b6e818d2d9a774 /utils
parente2ab6cef6d230bc5d26214fcc4e293b7b6a6442c (diff)
downloadSensor-Watch-e6784339e01ef38b0bc0c612670083b4f34a0218.tar.gz
Sensor-Watch-e6784339e01ef38b0bc0c612670083b4f34a0218.tar.bz2
Sensor-Watch-e6784339e01ef38b0bc0c612670083b4f34a0218.zip
add script for bulk flashing boards
Diffstat (limited to 'utils')
-rwxr-xr-xutils/movement_bulk_installer/shipboards.sh37
-rw-r--r--utils/movement_bulk_installer/standard-green.uf2bin0 -> 172032 bytes
2 files changed, 37 insertions, 0 deletions
diff --git a/utils/movement_bulk_installer/shipboards.sh b/utils/movement_bulk_installer/shipboards.sh
new file mode 100755
index 00000000..537eae68
--- /dev/null
+++ b/utils/movement_bulk_installer/shipboards.sh
@@ -0,0 +1,37 @@
+#!/bin/bash
+RED='\033[0;101m'
+GREEN='\033[1;32m'
+END='\033[0m'
+while [ true ] ; do
+ echo "Waiting for board"
+ false
+ while [ true ] ; do
+ stat /Volumes/WATCHBOOT &> /dev/null
+ if [ $? -eq 0 ]
+ then
+ break
+ fi
+ sleep 0.5
+ done
+ sleep 0.5
+ clear
+ cp ./standard-green.uf2 /Volumes/WATCHBOOT/
+ if [ $? -eq 0 ]
+ then
+ echo -e "${GREEN}Success!${END} Board flashed successfully!"
+ else
+ echo -e "${RED}FAILURE:${END} Board did not flash successfully."
+ echo -ne '\a'
+ echo -ne '\a'
+ fi
+ while [ true ] ; do
+ stat /Volumes/WATCHBOOT &> /dev/null
+ if [ $? -eq 0 ]
+ then
+ sleep 0.5
+ else
+ break
+ fi
+ done
+ echo -ne '\a'
+done
diff --git a/utils/movement_bulk_installer/standard-green.uf2 b/utils/movement_bulk_installer/standard-green.uf2
new file mode 100644
index 00000000..e7f80e91
--- /dev/null
+++ b/utils/movement_bulk_installer/standard-green.uf2
Binary files differ